## org.eclipse.wst.validation
Class ValidationResults

    java.lang.Object
      org.eclipse.wst.validation.ValidationResults

    public final class ValidationResults

extends java.lang.Object

The combined results of validating multiple resources.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`ValidationResults(ValidationResult result)`

Method Summary
`ValidatorMessage[]` `getMessages()` Answer any validation messages that were added by the validation operation.
`int` `getSeverityError()` Answer the number of error messages that were generated as part of this validation operation.
`int` `getSeverityInfo()` Answer the number of informational messages that were generated as part of this validation operation.
`int` `getSeverityWarning()` Answer the number of warning messages that were generated as part of this validation operation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationResults

    public ValidationResults(ValidationResult result)

Method Detail

### getMessages

    public ValidatorMessage[] getMessages()

  Answer any validation messages that were added by the validation operation.

  Returns:
    an array is returned even if there are no messages.

### getSeverityError

    public int getSeverityError()

  Answer the number of error messages that were generated as part of this validation operation.

### getSeverityInfo

    public int getSeverityInfo()

  Answer the number of informational messages that were generated as part of this validation operation.

### getSeverityWarning

    public int getSeverityWarning()

  Answer the number of warning messages that were generated as part of this validation operation.